/*
 * Copyright © 2012 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation.
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners.
 * See LICENSE.TXT for license information.
 */

package com.nokia.example.paint.views.components;

import com.nokia.example.paint.Main;
import com.nokia.example.paint.views.DrawArea;

public class BrushSizeTool extends Button {

    public BrushSizeTool() {
        super("/line_width_small.png");
    }

    public void onSelected() {
        sprite.nextFrame();
        DrawArea area = Main.getInstance().getDrawArea();
        int brush = DrawArea.SMALL_BRUSH;
        switch (sprite.getFrame()) {
            case 0:
                brush = DrawArea.SMALL_BRUSH;
                break;
            case 1:
                brush = DrawArea.MEDIUM_BRUSH;
                break;
            case 2:
                brush = DrawArea.LARGE_BRUSH;
                break;
            case 3:
                brush = DrawArea.XL_BRUSH;
                break;
        }
        area.setBrush(brush);

    }
}
