/*
 * Copyright © 2012 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation.
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners.
 * See LICENSE.TXT for license information.
 */

package com.nokia.example.paint.views.components;

import com.nokia.example.paint.Main;
import com.nokia.example.paint.helpers.FileHandler;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Image;
import javax.microedition.lcdui.TextBox;
import javax.microedition.lcdui.TextField;

public class FileSaveDialogS60 extends TextBox implements CommandListener {

    private Command Save;
    private Command Cancel;

    public FileSaveDialogS60() {
        super("Give filename", "", 50, TextField.ANY);

        setCommandListener(this);
        Save = new Command("OK", Command.OK, 1);
        Cancel = new Command("Cancel", Command.CANCEL, 1);
        addCommand(Save);
        addCommand(Cancel);
    }

    public void commandAction(Command cmnd, Displayable dsplbl) {
        if (cmnd == Save) {
            final Image saveable = Main.getInstance().getDrawArea().getDrawing();
            FileHandler.saveImageToFile(this.getString(), saveable);
        }
        else if (cmnd == Cancel) {
            Main.getInstance().showDrawing();
        }
        Main.getInstance().getDrawArea().allowDrawing(true);
    }
}
